<!doctype html>
<html class="no-js" lang="">
    @@include('./template/_head.html')
    <body>
        @@include('./template/_header.html')
    	<div class="page-wrap">
    		
    		<div class="wrapper member">
                <!-- breadcrumb -->
                <div class="breadcrumb">
                    <a class="headDotTxt">MORE ON LAMOCHA</a>
                    <span>></span>
                    <a href="#">會員中心</a>
                </div>
                <!-- 上方icons -->
    			<div class="memberHead">
                    <div class="changepw"></div>
                </div>

                <form name="resetpwForm" id="resetpwForm">
                <!-- 資料部分 -->
                <div class="memberChange">
                    <div class="memberChange-static">
                        <p>帳號： lamocha2007@gmail.com</p>
                        <p>姓名： 陳小明</p>
                    </div>
                    <div class="memberChange-pw">
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>請輸入舊密碼：</label>
                            <input type="password" name="" class="requiredInput" data-errmsg="舊密碼">
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>請輸入新密碼：</label>
                            <input type="password" name="" class="requiredInput js-pw js-pw1" data-errmsg="新密碼">
                            <span class="redTxt">（密碼有區分大小寫，請注意填寫）</span>
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>新密碼再確認：</label>
                            <input type="password" name="" class="requiredInput js-pw2" data-errmsg="確認密碼">
                            <span class="redTxt">（要跟上面的密碼一樣喔）</span>
                        </div>
                    </div>
                </div>

                <!-- 按鈕部分 -->
                <div class="actionBtn">
                    <a href="#" class="cancel"></a>
                    <a href="#" class="ok js-checkInputFilled" data-checkform="resetpwForm"></a>
                </div>
                </form>

		    </div>
    	</div>
    	@@include('./template/_footer.html')
        <script type="text/javascript">
            //確認必填欄位
            $('.js-checkInputFilled').on('click', function(e) {
                e.preventDefault();
                var targetForm = $(this).data('checkform');
                var tocheckInputs = $(document[targetForm]).find('.requiredInput');
                var formOk = true;
                $.each(tocheckInputs, function(idx, inputElem) {
                    var errMessage = $(inputElem).data('errmsg');
                    
                    if ($(inputElem).val() === '') {
                        showAlertMsg(inputElem, errMessage);
                        formOk = false;
                        return false;
                    }


                    if ($(inputElem).hasClass('js-pw')) {
                        console.log('validate password');
                        if (!check_password($(inputElem).val())) {
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                        if (($(inputElem).val().length < 8) || ($(inputElem).val().length > 16)) {
                            alert("密碼需為 8 ~ 16 碼！");
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }


                    if ($(inputElem).hasClass('js-pw2')) {
                        if ($(inputElem).val().toString() !== $('.js-pw1').val().toString()) {
                            alert("確認密碼與設定密碼不同");
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }


                });
                

                if (formOk) {
                    console.log('go');
                    document[targetForm].submit();
                }
                

            });

            function showAlertMsg(inputElem, errMessage) {
                if (errMessage === undefined) {
                    errMessage = '欄位';
                }
                if ((inputElem.tagName).toUpperCase() === 'INPUT') {
                    alert('請填寫' + errMessage);
                }
                if ((inputElem.tagName).toUpperCase() === 'SELECT') {
                    alert('請選擇' + errMessage);
                }
            }

            function check_password(pwd) {
                var xRegxp = /^([a-zA-Z]+\d+|\d+[a-zA-Z]+)[a-zA-Z0-9]*$/;
                if (xRegxp.test(pwd) != true) {
                    alert("您的密碼需是英文+數字的組合！");
                    return false;
                }
                return true;
            }

        </script>
    </body>
</html>
